org.codehaus.groovy.runtime.metaclass

## Class TransformMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.metaclass.TransformMetaMethod

All Implemented Interfaces:
  Cloneable

    public class TransformMetaMethod
    extends MetaMethod

A MetaMethod implementation useful for implementing coercion based invocations

Version:
  $Revision: 9818 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

### Constructor Summary

Constructors
Constructor and Description
`TransformMetaMethod(MetaMethod metaMethod)`

### Method Summary

Methods
`CachedClass` `getDeclaringClass()`
`int` `getModifiers()`
`String` `getName()`
`Class` `getReturnType()`
`Object` `invoke(Object object, Object[] arguments)`

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransformMetaMethod

    public TransformMetaMethod(MetaMethod metaMethod)

### Method Detail

#### getModifiers

    public int getModifiers()

Specified by:
  `getModifiers` in class `MetaMethod`

#### getName

    public String getName()

Specified by:
  `getName` in class `MetaMethod`

#### getReturnType

    public Class getReturnType()

Specified by:
  `getReturnType` in class `MetaMethod`

#### getDeclaringClass

    public CachedClass getDeclaringClass()

Specified by:
  `getDeclaringClass` in class `MetaMethod`

#### invoke

    public Object invoke(Object object,
                Object[] arguments)

Specified by:
  `invoke` in class `MetaMethod`